<?xml version="1.0" encoding="GB2312"?>
<CONFIG_PARA>
        <!--  af_tunning_focus_judge_down_normal_param_t   -->
        <focus_judge_high_code value="0x10"/>
        <focus_judge_low_code value="0x4"/>
        <focus_low_contrast value="4200"/>
        <focus_ultralow_contrast value="1200"/>
        <down_hill_cnt value="2"/>
        <step_cnt_for_not_singleframe value = "2"/>
        <step_cnt_for_singleframe value="3"/>
        <af_tunning_focus_judge_down_by_percent value="0.94"/>

        <!--  af_tunning_focus_contrast_threshold_t   -->
        <contrast_threshold_highest value="0x10000"/>
        <contrast_threshold_higher value="0x8000"/>
        <contrast_threshold_high value="0x4000"/>
        <contrast_threshold_middle value="0x2000"/>
        <contrast_threshold_low value="0x1000"/>

        <!--  af_tunning_focus_judge_down_by_percent_t   -->
        <contrast_threshold value="20000"/>
        <up_threshold_percent value="85"/>
        <down_threshold_percent value="70"/>

        <!--  stable_af_init_wait_cnt   -->
        <stable_af_init_wait_cnt value="3"/>

        <!--  sensor_efl   -->
        <sensor_efl value="3.46"/>

        <!--  af_mmi_param    -->
        <mmi7cm_search_range value="80"/>
        <mmi_pd_offset_vcm_step value="24"/>
        <mmi_pd_offset_start_ratio value="0.33"/>
        <mmi_pd_center_offset_vcm_step value="24"/>
        <mmi_pd_center_offset_start_ratio value="0.15"/>
        <mmi_vcm_step value="16"/>
        <sensor_close_loop_enable value="1"/>
        <gesture_code_offset value="0"/>
        <extend_code value="0"/>
        <contrast_stable_vcm_wait_cnt value="2"/>
        <push_vcm_to_start_code_wait_cnt value="4"/>
        <!-- contrast_filter_type 0:sobel  1:LAPLACE -->
        <contrast_filter_type value="0"/>
       <temp_compensatecode_enable_flag value="1"/>
       <temp_compensatecode_ratio_default value="1.2"/>
       <temp_compensatecode_ratio_special value="2.0"/>
</CONFIG_PARA>
